var mobile = false;
var asideNav = $("#aside-nav");
var navBar = $(".ombutelPBX .navbar");
var contentArea = $("#modules-content-area");
var mobileLogo = $(".mobile-logo");
var global_search_container = $("#global-search-container");
var navBackDrop = $("#aside-backdrop");

$(function () {
	$.shake({
		violence: 3.0,
		debounce: 1000,
		callback: toggleAside
	});

	$("#aside-navigation").find("a").click(function (e) {
		e.preventDefault();
		$(this).tab('show');
	});

	$("ul.children-menu li").find("a").click(function(e) {
		e.preventDefault();
		var checkElement = $(this).next();
		if ($(this).parent('li').parent('ul').hasClass('sub-menu')) {
			//We are on third level we don't need collapse anything
			return true;
		}

		$("ul.children-menu li").removeClass('active');
		$("ul.children-menu li a").removeClass('sub-menu-indicator-minus');
		$(this).closest('li').addClass('active');
		$(this).addClass('sub-menu-indicator-minus');
		if ((checkElement.is('ul')) && (checkElement.is(':visible'))) {
			$(this).closest('li').removeClass('active');
			$(this).removeClass('sub-menu-indicator-minus');
			checkElement.slideUp('normal');
		}

		if ((checkElement.is('ul')) && (!checkElement.is(':visible'))) {
			$('ul.children-menu ul:visible').slideUp('normal');
			checkElement.slideDown('normal');
		}

		if (checkElement.is('ul')) {
			return false;
		} else {
			return true;
		}
	});

	var scrollSettings = {
		wheelSpeed: 2,
		wheelPropagation: true,
		minScrollbarLength: 20
	};

	$("#module-menu-items").perfectScrollbar(scrollSettings);

	$("#aside-main-menu").perfectScrollbar(scrollSettings);

	$(".modal-open .modal").perfectScrollbar(scrollSettings);

	$("#mobile-search").click(function() {
		global_search_container.toggleClass('hidden-xs');
		global_search_container.find('#ombutel-search').focus();
	});

	$("#close-global-search").click(function() {
		hideMainSearch();
	});

	$("#openAside").click(function () {
		toggleAside();
	});

	navBackDrop.click(function () {
		toggleAside();
	});

});

function toggleAside() {
	$("#aside-nav").toggle({
		effect: 'slide',
		easing: 'swing',
		duration: '200',
		complete: function () {
			asideNav.toggleClass('closeMenu');
			if (!mobile) {
				navBar.toggleClass('closeMenu');
				contentArea.toggleClass('closeMenu');
			} else {
				if (navBackDrop.is(":visible")) {
					navBackDrop.hide();
				} else {
					navBackDrop.show();
				}
			}

			if (!asideNav.is(":visible")) {
				navBackDrop.hide();
			}

			mobileLogoInteraction();
			mobileFrmActionsInteraction();
		}
	});
}

function mobileFrmActionsInteraction() {
	var contentWidth = $("#box-mod-content").width();
	var formActions = $(".frm-actions");
	if (formActions.length) {
		formActions.css('width', contentWidth);
		if(!asideNav.is(":visible")) {
			formActions.css('margin-left' , '0px');
		} else {
			formActions.css('margin-left' , '-15px');
		}
	}
}

function mobileLogoInteraction() {
	if (bodyWidth <= 425) {
		mobileLogo.addClass('xtra-small');
		mobileLogo.find('img').addClass('size-logo-small').removeClass('size-logo');
	} else {
		mobileLogo.removeClass('xtra-small');
		mobileLogo.find('img').addClass('size-logo').removeClass('size-logo-small');
	}

	if (asideNav.is(":visible")) {
		mobileLogo.hide();
	} else {
		mobileLogo.show();
	}

}

function mobileInteraction() {
	if (bodyWidth <= 992) {
		mobile = true;
		asideNav.hide();
		asideNav.addClass('closeMenu');
		navBar.addClass('mobile');
		contentArea.addClass('mobile');
		navBackDrop.hide();
		mobileLogoInteraction();
		mobileFrmActionsInteraction();
	} else {
		mobile = false;
		asideNav.removeClass('closeMenu');
		navBar.removeClass('mobile closeMenu');
		contentArea.removeClass('mobile closeMenu');
		navBackDrop.hide();
		asideNav.show();
		mobileLogoInteraction();
		mobileFrmActionsInteraction();
	}
}

function themeDelegate() {
	$("ul.module-tabs").tabdrop({
		text: ombu.i18n.ombutel.more
	});

	hideMainSearch();
}

function hideMainSearch(){
	global_search_container.addClass('hidden-xs');
}
